using IceCreamShopContracts.BindingModels;
using IceCreamShopContracts.BusinessLogicsContracts;
using IceCreamShopContracts.SearchModels;
using IceCreamShopContracts.ViewModels;

namespace IceCreamBusinessLogic.BusinessLogics
{
    public class ClientLogic : IClientLogic
    {
        public bool Create(ClientBindingModel model)
        {
            throw new NotImplementedException();
        }

        public bool Delete(ClientBindingModel model)
        {
            throw new NotImplementedException();
        }

        public ClientViewModel? ReadElement(ClientSearchModel model)
        {
            throw new NotImplementedException();
        }

        public List<ClientViewModel>? ReadList(ClientSearchModel? model)
        {
            throw new NotImplementedException();
        }

        public bool Update(ClientBindingModel model)
        {
            throw new NotImplementedException();
        }
    }
}